# ourskyai-astro-api
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.3.3703
- Package version: 1.3.3703
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

```sh
pip install ourskyai_astro_api
```
(you may need to run `pip` with root permission: `sudo pip install ourskyai_astro_api`)

### Poetry install
If you manage dependencies with [poetry](https://python-poetry.org/) then you can add the SDK with:

```sh
poetry add ourskyai_astro_api
```

### Import the package

Then import the package:
```python
import ourskyai_astro_api
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import os
import ourskyai_astro_api
from ourskyai_astro_api.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://api.prod.oursky.ai
# See configuration.py for a list of all supported configuration parameters.
configuration = ourskyai_astro_api.Configuration(
    host = "https://api.prod.oursky.ai"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure Bearer authorization: BearerToken
configuration = ourskyai_astro_api.Configuration(
    access_token = os.environ["BEARER_TOKEN"]
)


# Enter a context with an instance of the API client
with ourskyai_astro_api.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ourskyai_astro_api.DefaultApi(api_client)
    model = 'model_example' # str |  (optional)
    pixel_size_microns = 3.4 # float |  (optional)
    pixels_x = 56 # int |  (optional)
    pixels_y = 56 # int |  (optional)
    megapixels = 3.4 # float |  (optional)
    chilled = True # bool |  (optional)
    adc_bit_depth = 56 # int |  (optional)
    is_color = True # bool |  (optional)

    try:
        api_response = api_instance.v1_camera_match(model=model, pixel_size_microns=pixel_size_microns, pixels_x=pixels_x, pixels_y=pixels_y, megapixels=megapixels, chilled=chilled, adc_bit_depth=adc_bit_depth, is_color=is_color)
        print("The response of DefaultApi->v1_camera_match:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling DefaultApi->v1_camera_match: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://api.prod.oursky.ai*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**v1_camera_match**](docs/DefaultApi.md#v1_camera_match) | **GET** /v1/camera-match | 
*DefaultApi* | [**v1_create_astro_camera**](docs/DefaultApi.md#v1_create_astro_camera) | **POST** /v1/astro-camera | 
*DefaultApi* | [**v1_create_astro_mount**](docs/DefaultApi.md#v1_create_astro_mount) | **POST** /v1/astro-mount | 
*DefaultApi* | [**v1_create_astro_optical_tube**](docs/DefaultApi.md#v1_create_astro_optical_tube) | **POST** /v1/astro-optical-tube | 
*DefaultApi* | [**v1_create_astro_project**](docs/DefaultApi.md#v1_create_astro_project) | **POST** /v1/astro-project | 
*DefaultApi* | [**v1_create_astro_project_image_set**](docs/DefaultApi.md#v1_create_astro_project_image_set) | **POST** /v1/astro-project-image-set | 
*DefaultApi* | [**v1_create_autofocus_result**](docs/DefaultApi.md#v1_create_autofocus_result) | **POST** /v1/autofocus | 
*DefaultApi* | [**v1_create_calibration_master**](docs/DefaultApi.md#v1_create_calibration_master) | **POST** /v1/calibration-master | 
*DefaultApi* | [**v1_create_image_set**](docs/DefaultApi.md#v1_create_image_set) | **POST** /v1/image-set | 
*DefaultApi* | [**v1_create_image_set_image**](docs/DefaultApi.md#v1_create_image_set_image) | **POST** /v1/image-set-image | 
*DefaultApi* | [**v1_create_node**](docs/DefaultApi.md#v1_create_node) | **POST** /v1/node | 
*DefaultApi* | [**v1_delete_astro_project**](docs/DefaultApi.md#v1_delete_astro_project) | **DELETE** /v1/astro-project | 
*DefaultApi* | [**v1_delete_calibration_master**](docs/DefaultApi.md#v1_delete_calibration_master) | **DELETE** /v1/calibration-master | 
*DefaultApi* | [**v1_delete_image_set**](docs/DefaultApi.md#v1_delete_image_set) | **DELETE** /v1/image-set | 
*DefaultApi* | [**v1_delete_image_set_image**](docs/DefaultApi.md#v1_delete_image_set_image) | **DELETE** /v1/image-set-image | 
*DefaultApi* | [**v1_get_astro_camera**](docs/DefaultApi.md#v1_get_astro_camera) | **GET** /v1/astro-camera | 
*DefaultApi* | [**v1_get_astro_mount**](docs/DefaultApi.md#v1_get_astro_mount) | **GET** /v1/astro-mount | 
*DefaultApi* | [**v1_get_astro_optical_tube**](docs/DefaultApi.md#v1_get_astro_optical_tube) | **GET** /v1/astro-optical-tube | 
*DefaultApi* | [**v1_get_astro_platform_credit_balance**](docs/DefaultApi.md#v1_get_astro_platform_credit_balance) | **GET** /v1/astro-platform-credit-balance | 
*DefaultApi* | [**v1_get_astro_project**](docs/DefaultApi.md#v1_get_astro_project) | **GET** /v1/astro-project | 
*DefaultApi* | [**v1_get_astro_project_assets**](docs/DefaultApi.md#v1_get_astro_project_assets) | **GET** /v1/astro-project-assets | 
*DefaultApi* | [**v1_get_astro_projects**](docs/DefaultApi.md#v1_get_astro_projects) | **GET** /v1/astro-projects | 
*DefaultApi* | [**v1_get_astro_target**](docs/DefaultApi.md#v1_get_astro_target) | **GET** /v1/astro-target | 
*DefaultApi* | [**v1_get_astro_targets**](docs/DefaultApi.md#v1_get_astro_targets) | **GET** /v1/astro-targets | 
*DefaultApi* | [**v1_get_calibration_masters**](docs/DefaultApi.md#v1_get_calibration_masters) | **GET** /v1/calibration-masters | 
*DefaultApi* | [**v1_get_cameras**](docs/DefaultApi.md#v1_get_cameras) | **GET** /v1/cameras | 
*DefaultApi* | [**v1_get_image_set**](docs/DefaultApi.md#v1_get_image_set) | **GET** /v1/image-set | 
*DefaultApi* | [**v1_get_image_set_image**](docs/DefaultApi.md#v1_get_image_set_image) | **GET** /v1/image-set-image | 
*DefaultApi* | [**v1_get_image_set_images**](docs/DefaultApi.md#v1_get_image_set_images) | **GET** /v1/image-set-images | 
*DefaultApi* | [**v1_get_image_sets**](docs/DefaultApi.md#v1_get_image_sets) | **GET** /v1/image-sets | 
*DefaultApi* | [**v1_get_job_logs**](docs/DefaultApi.md#v1_get_job_logs) | **GET** /v1/job-logs | 
*DefaultApi* | [**v1_get_nodes**](docs/DefaultApi.md#v1_get_nodes) | **GET** /v1/nodes | 
*DefaultApi* | [**v1_get_or_create_camera**](docs/DefaultApi.md#v1_get_or_create_camera) | **PUT** /v1/camera-match | 
*DefaultApi* | [**v1_get_or_create_mount**](docs/DefaultApi.md#v1_get_or_create_mount) | **PUT** /v1/mount-match | 
*DefaultApi* | [**v1_get_or_create_optical_tube**](docs/DefaultApi.md#v1_get_or_create_optical_tube) | **PUT** /v1/optical-tube-match | 
*DefaultApi* | [**v1_get_platform_credits**](docs/DefaultApi.md#v1_get_platform_credits) | **GET** /v1/platform-credits | 
*DefaultApi* | [**v1_get_weather**](docs/DefaultApi.md#v1_get_weather) | **GET** /v1/weather | 
*DefaultApi* | [**v1_match_astro_project**](docs/DefaultApi.md#v1_match_astro_project) | **GET** /v1/astro-project-match | 
*DefaultApi* | [**v1_mount_match**](docs/DefaultApi.md#v1_mount_match) | **GET** /v1/mount-match | 
*DefaultApi* | [**v1_optical_tube_match**](docs/DefaultApi.md#v1_optical_tube_match) | **GET** /v1/optical-tube-match | 
*DefaultApi* | [**v1_put_stack_astro_project**](docs/DefaultApi.md#v1_put_stack_astro_project) | **PUT** /v1/stack-astro-project | 
*DefaultApi* | [**v1_update_node**](docs/DefaultApi.md#v1_update_node) | **PUT** /v1/node | 


## Documentation For Models

 - [AssetFileType](docs/AssetFileType.md)
 - [AssetType](docs/AssetType.md)
 - [CalibrationMasterType](docs/CalibrationMasterType.md)
 - [DailyWeatherCity](docs/DailyWeatherCity.md)
 - [DailyWeatherForecastItem](docs/DailyWeatherForecastItem.md)
 - [DailyWeatherForecastItemTemp](docs/DailyWeatherForecastItemTemp.md)
 - [DailyWeatherForecastItemWeatherInner](docs/DailyWeatherForecastItemWeatherInner.md)
 - [DailyWeatherForecastListResponse](docs/DailyWeatherForecastListResponse.md)
 - [EmptySuccess](docs/EmptySuccess.md)
 - [FilterType](docs/FilterType.md)
 - [FitsHeader](docs/FitsHeader.md)
 - [Location](docs/Location.md)
 - [MountType](docs/MountType.md)
 - [NodeState](docs/NodeState.md)
 - [OpticalTubeType](docs/OpticalTubeType.md)
 - [ShutterType](docs/ShutterType.md)
 - [SuccessfulCreate](docs/SuccessfulCreate.md)
 - [TrackingType](docs/TrackingType.md)
 - [V1AstroProject](docs/V1AstroProject.md)
 - [V1AstroProjectAsset](docs/V1AstroProjectAsset.md)
 - [V1AstroProjectAssetMetadata](docs/V1AstroProjectAssetMetadata.md)
 - [V1AstroProjectAssetMetadataColorCombination](docs/V1AstroProjectAssetMetadataColorCombination.md)
 - [V1AstroTarget](docs/V1AstroTarget.md)
 - [V1CalibrationMaster](docs/V1CalibrationMaster.md)
 - [V1Camera](docs/V1Camera.md)
 - [V1CreateAstroProjectImageSetRequest](docs/V1CreateAstroProjectImageSetRequest.md)
 - [V1CreateAstroProjectRequest](docs/V1CreateAstroProjectRequest.md)
 - [V1CreateAstroProjectResponse](docs/V1CreateAstroProjectResponse.md)
 - [V1CreateAutofocusResultRequest](docs/V1CreateAutofocusResultRequest.md)
 - [V1CreateCalibrationMasterRequest](docs/V1CreateCalibrationMasterRequest.md)
 - [V1CreateCalibrationMasterResponse](docs/V1CreateCalibrationMasterResponse.md)
 - [V1CreateCameraRequest](docs/V1CreateCameraRequest.md)
 - [V1CreateImageSetImageRequest](docs/V1CreateImageSetImageRequest.md)
 - [V1CreateImageSetImageResponse](docs/V1CreateImageSetImageResponse.md)
 - [V1CreateImageSetRequest](docs/V1CreateImageSetRequest.md)
 - [V1CreateMountRequest](docs/V1CreateMountRequest.md)
 - [V1CreateNodeRequest](docs/V1CreateNodeRequest.md)
 - [V1CreateOpticalTubeRequest](docs/V1CreateOpticalTubeRequest.md)
 - [V1ElevationMaskPoint](docs/V1ElevationMaskPoint.md)
 - [V1GainCurve](docs/V1GainCurve.md)
 - [V1GainCurvePoint](docs/V1GainCurvePoint.md)
 - [V1GetAstroPlatformCreditBalanceResponse](docs/V1GetAstroPlatformCreditBalanceResponse.md)
 - [V1GetNodes](docs/V1GetNodes.md)
 - [V1GetOrCreateCameraRequest](docs/V1GetOrCreateCameraRequest.md)
 - [V1GetOrCreateMountRequest](docs/V1GetOrCreateMountRequest.md)
 - [V1GetOrCreateOpticalTubeRequest](docs/V1GetOrCreateOpticalTubeRequest.md)
 - [V1ImageSet](docs/V1ImageSet.md)
 - [V1ImageSetImage](docs/V1ImageSetImage.md)
 - [V1JobKind](docs/V1JobKind.md)
 - [V1JobLog](docs/V1JobLog.md)
 - [V1JobStatus](docs/V1JobStatus.md)
 - [V1Mount](docs/V1Mount.md)
 - [V1Node](docs/V1Node.md)
 - [V1NodeWithLocation](docs/V1NodeWithLocation.md)
 - [V1OpticalTube](docs/V1OpticalTube.md)
 - [V1PlatformCredit](docs/V1PlatformCredit.md)
 - [V1PlatformCreditSource](docs/V1PlatformCreditSource.md)
 - [V1PlatformCreditType](docs/V1PlatformCreditType.md)
 - [V1PlatformCreditUnit](docs/V1PlatformCreditUnit.md)
 - [V1PutStackAstroProjectRequest](docs/V1PutStackAstroProjectRequest.md)
 - [V1ReadNoisePoint](docs/V1ReadNoisePoint.md)
 - [V1SetupAction](docs/V1SetupAction.md)
 - [V1SlewTiming](docs/V1SlewTiming.md)
 - [V1SlewTimingInterval](docs/V1SlewTimingInterval.md)
 - [V1UpdateNodeRequest](docs/V1UpdateNodeRequest.md)
 - [V1VideoModeFramerateProperty](docs/V1VideoModeFramerateProperty.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="BearerToken"></a>
### BearerToken

- **Type**: Bearer authentication

<a id="Roles"></a>
### Roles



## Author


